import path = require('path');
import Queues from '../components/queues';
import {log, reportError} from './utils';
const runnerPath = path.resolve(__dirname, '../', 'components/task-runner.js');

function processQueue(name: string, concurrency: number): void {
    const queue = Queues[name];
    queue.process(concurrency, runnerPath);
    queue
        .on('failed', (job, error) => {
            reportError(error, {extra: {job}});
        })
        .on('error', error => {
            reportError(error);
        });
}

export default function runWorker(): void {
    log('Initiating worker master process');

    processQueue('common', 2);
    processQueue('import', 4);
    processQueue('critical', 1);
}
