import {Model, knexSnakeCaseMappers, raw, ValidationError} from 'objection';
import * as initKnex from 'knex';
const knexConfig = require('../../knexfile');

export const knex = initKnex({...knexConfig, ...knexSnakeCaseMappers()});
Model.knex(knex);

export {Model, raw, ValidationError} from 'objection';

export {default as WikidotUser} from './wikidot-user';
export {default as WikidotPage} from './wikidot-page';
export {default as Branch} from './branch';
export {default as BanRecord} from './ban-record';
export {default as AccessToken} from './access-token';
