"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const models_1 = require("../models");
const wikidot_markup_1 = require("../components/wikidot-markup");
const WIKI_NAME = 'scp-ru';
exports.default = async (req, res) => {
    const name = req.params[0];
    const page = await models_1.WikidotPage
        .query()
        .where({ wikiName: WIKI_NAME, name })
        .first();
    if (!page) {
        res.status(404).render('not-found');
        return;
    }
    // TODO Catch page not found errors and render 404 page
    res.render('page', {
        pageTitle: page.title,
        pageBody: wikidot_markup_1.default(page.html)
    });
};
//# sourceMappingURL=pages.js.map