"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const queues_1 = require("../components/queues");
const utils_1 = require("./utils");
const runnerPath = path.resolve(__dirname, '../', 'components/task-runner.js');
function processQueue(name, concurrency) {
    const queue = queues_1.default[name];
    queue.process(concurrency, runnerPath);
    queue
        .on('failed', (job, error) => {
        utils_1.reportError(error, { extra: { job } });
    })
        .on('error', error => {
        utils_1.reportError(error);
    });
}
function runWorker() {
    utils_1.log('Initiating worker master process');
    processQueue('common', 2);
    processQueue('import', 4);
    processQueue('critical', 1);
}
exports.default = runWorker;
//# sourceMappingURL=worker.js.map