"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const routes = [
    {
        name: 'main',
        path: '/'
    },
    {
        name: 'ping',
        path: '/ping'
    },
    {
        name: 'wikidot/interwiki',
        path: '/interwiki/:wiki_name'
    },
    {
        name: 'wikidot/random-page',
        path: '/wikidot_random_page'
    },
    {
        name: 'wikidot/api/random-page',
        path: '/api/random_page'
    },
    {
        name: 'wikidot/api/random-page',
        path: '/api/wikidot_random_page'
    },
    {
        name: 'wikidot/api/tags-list',
        path: '/_api/wikidot_tags_search/list'
    },
    {
        name: 'wikidot/api/tags-search',
        path: '/_api/wikidot_tags_search/find'
    },
    {
        name: 'wikidot/api/untranslated-list',
        path: '/_api/wanted_translations/list'
    },
    {
        name: 'int/ban-records/list',
        path: '/api/private/ban-records'
    },
    {
        name: 'int/ban-records/create',
        path: '/api/private/ban-records',
        method: 'post'
    },
    {
        name: 'alice',
        path: '/api/private/alice',
        method: 'post'
    }
];
function initRoutes(app) {
    routes.forEach((route) => {
        const method = route.method || 'get';
        const routeMiddleware = [];
        const routeHandler = require(`./controllers/${route.name}`).default;
        app[method](route.path, routeMiddleware, (req, res, next) => {
            Promise
                .resolve(routeHandler(req, res))
                .catch(next);
        });
    });
}
exports.default = initRoutes;
//# sourceMappingURL=routes.js.map